質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

87.90%

squidのバージョンアップについて

解決済

回答 1

投稿

  • 評価
  • クリップ 0
  • VIEW 5,316

score 25

有識者の皆様

よろしくお願いします。

当環境にて、Cent5.11でsquidを運用しているサーバがあります。

sh-3.2# cat /etc/redhat-release
CentOS release 5.11 (Final)

sh-3.2# yum list squid
~~~
~~~
Installed Packages
squid.x86_64                                      7:2.6.STABLE21-7.el5_10                                      installed

今回、squidを3.5.19にバージョンアップさせたいのですが、epel、remiのレポジトリにも
アップデート可能なバージョンがありませんでした。

RPMにてパッケージ管理して運用することを希望しています。
rpmもしくはyumでのバージョンアップ方法について、何卒ご教授下さい。

よろしくお願いします。

  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 過去に投稿した質問と同じ内容の質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

回答 1

checkベストアンサー

0

以下のリポジトリを追加しましょう。

[squid]
name=Squid repo for CentOS Linux - $basearch
#IL mirror
baseurl=http://www1.ngtech.co.il/repo/centos/$releasever/$basearch/
failovermethod=priority
enabled=1
gpgcheck=0

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2016/07/05 18:56

    ご回答ありがとうございます。
    rpmbuildについて、手順がサッパリなので、もう少し勉強して調べてみようと思います。

    ちなみにsquid3.5.19は、上記のレポジトリにありませんが、centos5.11でも
    動作するものなのでしょうか?(素人な質問で申し訳ありません)

    キャンセル

  • 2016/07/05 19:05

    この辺りが参考にならないでしょうか?
    https://www.howtoforge.com/anonymous-proxy-using-squid-3-centos-5.x

    ビルドできれば動くと思います。

    以下、余談ですが
    昔はtar.gzをダウンロードして、「./configure」してコンパイルが通らなかったら動くように修正してビルドしたバイナリをインストールして使ってました。
    今時は、ライブラリのバージョン関係以外ではあまり引っかかって無い気がしますね・・・楽になったものです。

    キャンセル

  • 2016/07/08 11:12

    遅くなりました。
    ありがとうございます。

    Fedoraのディストリビューンにsquid3.5.19のrpmを見つけたので、これをインストール検証してみます。
    http://rpmfind.net/linux/RPM/fedora/updates/testing/24/x86_64/s/squid-3.5.19-2.fc24.x86_64.html

    依存関係が心配ですが検証してみます。

    キャンセル

15分調べてもわからないことは、teratailで質問しよう!

  • ただいまの回答率 87.90%
  • 質問をまとめることで、思考を整理して素早く解決
  • テンプレート機能で、簡単に質問をまとめられる

関連した質問

同じタグがついた質問を見る